Datasets - Update Refresh Schedule

指定したセマンティック モデルの更新スケジュールを更新します。 呼び出し元に必要なアクセス許可がある場合、セマンティック モデルは My ワークスペース または別のワークスペースに存在できます。

更新スケジュールを無効にする要求には、他の変更を含めてはなりません。

少なくとも 1 日を指定する必要があります。 時刻が指定されていない場合、Power BI では 1 日に既定の 1 回の時刻が使用されます。

Permissions

ユーザーはデータセット所有者である必要があります。

必要なスコープ

Dataset.ReadWrite.All

制限事項

1 日あたりのタイム スロット数の制限は、 Premium 容量と共有容量のどちらを使用するかによって異なります。

PATCH https://api.powerbi.com/v1.0/myorg/datasets/{datasetId}/refreshSchedule

URI パラメーター

名前 / 必須 型 説明
datasetId
path True

string

データセット ID

要求本文

名前 必須 型 説明
value True

RefreshSchedule

更新スケジュールの詳細を含むオブジェクト

応答

名前 型 説明
200 OK

[OK]

例

Change the days and times of a refresh schedule example
Change the notification option of a refresh schedule example
Disable a scheduled refresh example
Update the times of a refresh schedule example

Change the days and times of a refresh schedule example

要求のサンプル

PATCH https://api.powerbi.com/v1.0/myorg/datasets/cfafbeb1-8037-4d0c-896e-a46fb27ff229/refreshSchedule
{
  "value": {
    "days": [
      "Sunday",
      "Tuesday",
      "Friday",
      "Saturday"
    ],
    "times": [
      "07:00",
      "11:30",
      "16:00",
      "23:30"
    ],
    "localTimeZoneId": "UTC"
  }
}

応答のサンプル

Change the notification option of a refresh schedule example

要求のサンプル

PATCH https://api.powerbi.com/v1.0/myorg/datasets/cfafbeb1-8037-4d0c-896e-a46fb27ff229/refreshSchedule
{
  "value": {
    "notifyOption": "NoNotification"
  }
}

応答のサンプル

Disable a scheduled refresh example

要求のサンプル

PATCH https://api.powerbi.com/v1.0/myorg/datasets/cfafbeb1-8037-4d0c-896e-a46fb27ff229/refreshSchedule
{
  "value": {
    "enabled": false
  }
}

応答のサンプル

Update the times of a refresh schedule example

要求のサンプル

PATCH https://api.powerbi.com/v1.0/myorg/datasets/cfafbeb1-8037-4d0c-896e-a46fb27ff229/refreshSchedule
{
  "value": {
    "times": [
      "08:00",
      "16:00"
    ]
  }
}

応答のサンプル

定義

名前 説明
days

更新を実行する日

RefreshSchedule

インポートされたモデルの Power BI 更新スケジュール

RefreshScheduleRequest

Power BI の更新スケジュール要求

ScheduleNotifyOption

スケジュールされた更新の終了時の通知オプション。 サービス プリンシパルは、 NoNotification 値のみをサポートします。

days

更新を実行する日

値 説明
Monday
Tuesday
Wednesday
Thursday
Friday
Saturday
Sunday

RefreshSchedule

インポートされたモデルの Power BI 更新スケジュール

名前 型 説明
days

days[]

更新を実行する日

enabled

boolean

更新が有効になっているかどうか

localTimeZoneId

string

使用するタイム ゾーンの ID。 詳細については、「 タイム ゾーン情報」を参照してください。

notifyOption

ScheduleNotifyOption

スケジュールされた更新の終了時の通知オプション。 サービス プリンシパルは、 NoNotification 値のみをサポートします。

times

string[]

更新を実行する時刻

RefreshScheduleRequest

Power BI の更新スケジュール要求

名前 型 説明
value

RefreshSchedule

更新スケジュールの詳細を含むオブジェクト

ScheduleNotifyOption

スケジュールされた更新の終了時の通知オプション。 サービス プリンシパルは、 NoNotification 値のみをサポートします。

値 説明
NoNotification

通知は送信されません

MailOnFailure

更新エラー時にメール通知が送信される